GNU bug report logs - #70073
29.3; Emacs-PGTK crashes upon marking some text inside emacs and then middle clicking outside of Emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Abraham S.A.H." <arash.sah@HIDDEN>; merged with #70072; dated Fri, 29 Mar 2024 16:02:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 15 Apr 2024 11:28:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 07:28:32 2024
Received: from localhost ([127.0.0.1]:36991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwKVg-0002HR-N5
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:28:31 -0400
Received: from sonic317-34.consmr.mail.ne1.yahoo.com ([66.163.184.45]:44632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1rwKVZ-0002G4-Cs
 for 70073 <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:28:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713180484; bh=k2nMKetCB4IQcbVL8qgcg4BJ2bmUkkGzUgUGP8OqMao=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=JzSIuoT4FpYUBVxkhTyYa97Ssc3lhwPsmhQIyjDdRpKguC43jwZMQ/vBvoTxJmAIaMl2sHd86ckGSGnzAQRxSKbAWQvtyB8VOo52iY0XUTCIscUmlbaLtW880SJgdrz6fN1xcaBIkAAoRmhIGgpsyENXVeBDwRqq3fEvDQkKiaXoMw4u2MTF837CwmE3uQ2H0EHLnN+j3/5VYcqBYvVQu86WpDwtBmP0EsADddBvZRixz0izffCZkgAGpWrawweD4D3bRB+T3lCP4BXD7UJZhW9/4akkoAaKFuHEIrsYwBSPDiB71+JAKhrU3BNx7+0GYniUpZUXzFavF+p+N/9zfg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713180484; bh=nOMQbPIilZh/JK9ZaUz7H9PQfust04ea/gUTs1fIDCf=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=JnFd3zlcQ+GsseXQKgcD3IFq8Oya6VYcbKH3dfJaE8xT821/usaVUjJf1G19jz0gvKKHibptPJVXPlXaDcDPJSGn1SE3qKfNRZ2NMGNqNtiSCYejqV4hwM6quCu7iKvEhu7H973Y4Jr8SWDl7ZOaWI8KFUxHq+Shcb23XCF1Eg5kITfp/ahOKK6PslonFFaQe+L6duxdbusaZuD+rZJ8brWqDdeGIiEn4C9O5TeyvutSaKomo5TOlSjaY6SfQzs5+5mLSALuk9C1iN+QSmOm2Obqlq55rPgYTJo9gW9Nsvv9Ldot1dObVLimUhvPCL63sM2fdNFohdMJQSJQ0SAxzg==
X-YMail-OSG: givP3vIVM1mr3EHKKVfi6aEB8tvLzZBrjr5cBfP3ar5fCkakahAUXgtCFpxMTJd
 s5rktEHo_zOK.L4bpV3EKfah4NQq6KxfGISM7g4aglGSiCZqyaPDO6d7w5e7v9VTNkcFiCRsSmlF
 J8WBO_eKWiWi2Pl7jGdQ5z4ypoYmzqYRBsEhU.ttBfEN068GAKUTeYFgaPGqF7ZUUdl2qM2KgXsO
 3juASzBytjCokoIt3TuDTSWUCZYI8Y8_KOy2P.Mw22we2.Pys0yGN0qg4UF.g.S7gYat7FFmbzP1
 GOUFC6.b1bFb1ldI_CBdHWkzUprlTNgR54eweCNorTOqY0WJutlO24MSMfXw2KX.mcmd4.Ly9M5V
 TEjuMvnQha_JtJYktf__.Ucg7K3aJDZKaeMuNY4tP0OHAxiCjrkFt8zuCM4S8jnok4wvBzCpfAhh
 DdyQHHBKs9nxkcs9v4LfSkUt8MIu8eRgMWXwiRG2AAUPoBmc6cPbHfWXhhsHU70plTKsjG72ZXEu
 WpQJmIlJnG1oGSMzUTYeEUuT1wN0vHlZpubpNv0B6orJOBZJudfpR1F7aZaVipDqnljw6IfIF3.U
 ptkPDYQiBDU91ySM7SWOBOqVK_8KlIvFAV18R78oImYoEJUXK6mWW21ZanEMpeeSaBtzT0r5pf.w
 0bq2nseenhxDDKza86LbV.3faDxVKpp7WHm.yJunAMwtZ_IZ53J5v5IRcklmOVC2jn2P2Z3I3woI
 HiOTJBRwXmHiVqSIfZsAwI.06HmOU.b7DcYmmsCZfz_ZTsVBN4TYgOaK4ru2rpL9eXe3EA0fq7fg
 57pgxIXJeJwFpnVJ70x4ze6C0mG6OUEEYuC0zX1YnEZTBmy7RZBRZRBp.c7FDlOkzKdfSzxpkDx3
 mH9gXGOxWbiaqsfRRbuLp6leYtByVAhO.Sz1ZovyfBEFU8hW8up.wb5HrGqT2Fc0zmGuWQNojv4A
 KAVjlNQXuqfcdIG1VooQ0zsdpzia4yPBrtGGsm4I4RkjmeIRooW9pu0kY2KMA0PtZ.zPvOc6Gtzk
 2tZiOocjEoLqDEIiBitbgUTdR6Xgd8rvQYJkP8zcZfOJk3QlgGugNbykE9C1NXRcsmVqzsZJcSZm
 ZwPQl0aUJOV6fkZmiZsDYnWpk4UCHy9SGJi8opaQWNqHG1glCglcVJA_3hweptfcLcSr8rrqjPTh
 YT_rHl1DhytkqsAnEilk08_14W9sGdguq6xwf1zBtEyuuFirdjh0ug5SnUeJs54Fm1f9DNmLs8vc
 ZgF2ujcuD7QuFjyZCStIDHwBaOfClI8YP.HE8A45hr9Y05naRqcC_zNfBkJuN8.svEKMWnWOG3jJ
 laPJe762nVA5Zq79kXJVRGiLkV5YevRTPfaVNrWjj6ooDcLRV6rhe7hTVVGQ6fllkHDDhFZG_HIl
 BwUvdtqZqmSQxta5GMHBsXOZcPBY6moaA5IJ1KHCda9uVM51_rj51MgRDBQAMyXAQy7LSUFFUIP8
 ulVTWw_kMd9S2sLarYNhwZSMI6M.swB2om3UftCb.FD_dd08q5LNFSEveeCLPHbMalPvLsaE5LsC
 DwY1xTLZE73.befdgTxYu9S6dFoWtwQOVZZuRlFMOjE7FBYODShXXltnknvpZ72iAgcLR2Sq4QMp
 UgVUuNswTdRn7jfkaRl8j15qruADoTvm8a37SVre6Smb4WuR9I4bo9M58h80CVI3ZU6f3qM9jg4q
 zQ2qCu.Sxe7EO6_kd_mDrCMC5J0JDS.nMWDAdiqF4FnR4YtMEQFrHQyt9zhdO7UaftK6XxJD7TxA
 kpwKR96o_MpIGfJ18zLNimVWhgilocIQytbcoReOqMFrEWtf32F7OKg62T5S4vnjzmMrP69rFT7W
 ABa7AlE0PUY3hMuvAu4MhGqmDA7wzTwNPiv1hSYMzmw7FaahL6_moi5ym3MWYNjnZUhasl1ULLDR
 TNkS6QnHn9rUknD97ApUx5601bBiTGVSl1DcAmHM0utC6NcHfBZH7GzWfBPz9uIkuz4z2LaBPmtC
 p_wn8rUX6TrITSZdxxCdvdN0FuUcMYH4nmA1ntoo_gkh0nKfy70RLWP5sYt0vm01Ds_Y4i3cAe6s
 8roMAwNo0lwrGZF6PSjISewZ_08Vgdy58pT.5ckOLB2cmCSBq3.fm6YgvzP2o05YxRBwqIsTvwCa
 dBrF.LR0ezOmouRc.OcQk6ONot3qUWFLyNt1e7mTDTFCkOHRw8M.d0bKM6lzdC5xbNL1SsldHysJ
 cbqUv9Uxo.wnyGl_UdKQtXnVohWekIXg65eWDCxsXnAkXn6UG6RP1zTMpBW9EM26SsHk-
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: b06132a4-2543-49e1-a313-94d8babc7724
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Mon, 15 Apr 2024 11:28:04 +0000
Received: by hermes--production-sg3-6f9f87bd85-d9mmq (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID f5b784a3931faa9ad866869f40315b24; 
 Mon, 15 Apr 2024 11:27:59 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: "Abraham S.A.H." <arash.sah@HIDDEN>
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
In-Reply-To: <NvWDGTe--3-9@HIDDEN> (Abraham S. A. H.'s message of "Mon, 15
 Apr 2024 12:06:39 +0200 (CEST)")
References: <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN> <NuE1cqZ--3-9@HIDDEN>
 <86ttkndgpb.fsf@HIDDEN> <NvGat_9--B-9@HIDDEN>
 <86r0fasutv.fsf@HIDDEN> <NvIb6tj--3-9@HIDDEN>
 <8634rqs8l3.fsf@HIDDEN> <878r1i3uk8.fsf@HIDDEN>
 <NvWDGTe--3-9@HIDDEN>
Date: Mon, 15 Apr 2024 19:27:51 +0800
Message-ID: <877cgy27d4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 449
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70073
Cc: Eli Zaretskii <eliz@HIDDEN>, 70073 <70073 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Abraham S.A.H." <arash.sah@HIDDEN> writes:

> (gdb) p *(struct selection_input_event *) event
> $1 = {kind = SELECTION_REQUEST_EVENT, dpyinfo = 0x56243690, requestor
> = 0x55555651b3d0, selection = 0x1, target = 0x4d, property = 0x5e,
> time = 0}
> (gdb) p *dpyinfo
> value has been optimized out
> (gdb) p *dpyinfo->terminal
> value has been optimized out

Thanks.  Would you try this instead:

  (gdb) p *$1->dpyinfo
  (gdb) p *$1->requestor

?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 15 Apr 2024 10:07:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 06:07:06 2024
Received: from localhost ([127.0.0.1]:36854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwJEs-0005MD-TC
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 06:07:06 -0400
Received: from w1.tutanota.de ([81.3.6.162]:58714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash.sah@HIDDEN>) id 1rwJEn-0005Jv-Hq
 for 70073 <at> debbugs.gnu.org; Mon, 15 Apr 2024 06:07:00 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w1.tutanota.de (Postfix) with ESMTP id E6268FBFC76;
 Mon, 15 Apr 2024 10:06:39 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1713175599; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=q/td3O5Cz1q45Glba1o0htOfu9zb/RG7XJSIyw874fM=;
 b=EjtxY1BfKnwtgr+tg//3bIJv5Mb0NxlWIvzDr1fulK5hwoK+putZu0ZuOJ17d3V0
 2CnIC3T7UUNt1xsNXc8hyvZ+ZAvLZXKNGavxhXu7L7DagPrczBJKNV05nb55UEReBsj
 Hqj64cXGM42GgrlrwVKW+jMX5kfUUHPGKfgJRtKtbuD4wVD2ZPrPC59fXaC9HAlcn5s
 jgzjrEdTRuXWy6/D20k/c347v1L8Edrdwq+EWYw5S7K0kuAGo0Q6/pD+DcMg+HNA7F+
 s9vjExUkRxG4bdjQgqOBdNAkcCT+tjpDyRDICzUbH4Xg6xpRt83jgSdbilxu8SFR/62
 ecy1oe/DHg==
Date: Mon, 15 Apr 2024 12:06:39 +0200 (CEST)
From: "Abraham S.A.H." <arash.sah@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Message-ID: <NvWDGTe--3-9@HIDDEN>
In-Reply-To: <878r1i3uk8.fsf@HIDDEN>
References: <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN> <NuE1cqZ--3-9@HIDDEN> <86ttkndgpb.fsf@HIDDEN>
 <NvGat_9--B-9@HIDDEN> <86r0fasutv.fsf@HIDDEN> <NvIb6tj--3-9@HIDDEN>
 <8634rqs8l3.fsf@HIDDEN> <878r1i3uk8.fsf@HIDDEN>
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 70073
Cc: Eli Zaretskii <eliz@HIDDEN>, 70073 <70073 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry if I caN't work with GDB Properly. I have tried to read the info, but=
 it didn't help much.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
GNU gdb (GDB) 14.2
Copyright (C) 2023 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
=C2=A0=C2=A0=C2=A0 <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from emacs...
(gdb) r -Q
Starting program: /usr/bin/emacs -Q
gpg-connect-agent: no running gpg-agent - starting '/usr/bin/gpg-agent'
gpg-connect-agent: waiting for the agent to come up ... (5s)
gpg-connect-agent: connection to the agent established
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 5841)]
[New Thread 0x7fffe7e006c0 (LWP 5842)]
[New Thread 0x7fffed0006c0 (LWP 5843)]
[New Thread 0x7fffe74006c0 (LWP 5844)]
[New Thread 0x7fffe6a006c0 (LWP 5845)]
[New Thread 0x7fffe50006c0 (LWP 5846)]
[Thread 0x7fffed0006c0 (LWP 5843) exited]
[Detaching after vfork from child process 5907]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
pgtk_handle_selection_request (event=3D0x7fffffffc000) at /usr/src/debug/em=
acs/emacs-29.3-wayland/src/pgtkselect.c:573
warning: 573=C2=A0=C2=A0=C2=A0 /usr/src/debug/emacs/emacs-29.3-wayland/src/=
pgtkselect.c: No such file or directory
(gdb) thread apply all bt

Thread 7 (Thread 0x7fffe50006c0 (LWP 5846) "emacs"):
#0=C2=A0 0x00007ffff37233ad in syscall () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fc8487 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f38454 in ??? () at /usr/lib/libglib-2.0.so.0
#3=C2=A0 0x00007ffff6f384bc in g_async_queue_pop () at /usr/lib/libglib-2.0=
.so.0
#4=C2=A0 0x00007ffff6046c08 in ??? () at /usr/lib/libpangoft2-1.0.so.0
#5=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#6=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#7=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fffe6a006c0 (LWP 5845) "dconf worker"):
#0=C2=A0 0x00007ffff371876f in poll () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f6d712 in g_main_context_iteration () at /usr/lib/libg=
lib-2.0.so.0
#3=C2=A0 0x00007fffee1c638e in ??? () at /usr/lib/gio/modules/libdconfsetti=
ngs.so
#4=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffe74006c0 (LWP 5844) "gdbus"):
#0=C2=A0 0x00007ffff371876f in poll () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f6edc7 in g_main_loop_run () at /usr/lib/libglib-2.0.s=
o.0
#3=C2=A0 0x00007ffff71ca83c in ??? () at /usr/lib/libgio-2.0.so.0
#4=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fffe7e006c0 (LWP 5842) "gmain"):
#0=C2=A0 0x00007ffff371876f in poll () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f6d712 in g_main_context_iteration () at /usr/lib/libg=
lib-2.0.so.0
#3=C2=A0 0x00007ffff6f6d762 in ??? () at /usr/lib/libglib-2.0.so.0
#4=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffeda006c0 (LWP 5841) "pool-spawner"):
--Type <RET> for more, q to quit, c to continue without paging--c
#0=C2=A0 0x00007ffff37233ad in syscall () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fc8487 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f38454 in ??? () at /usr/lib/libglib-2.0.so.0
#3=C2=A0 0x00007ffff6f9d29e in ??? () at /usr/lib/libglib-2.0.so.0
#4=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7ffff2090080 (LWP 5813) "emacs"):
#0=C2=A0 pgtk_handle_selection_request (event=3D0x7fffffffc000) at /usr/src=
/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:573
#1=C2=A0 0x00005555556fbc8d in pgtk_handle_selection_event (event=3D0x7ffff=
fffc000) at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:784
#2=C2=A0 process_special_events () at /usr/src/debug/emacs/emacs-29.3-wayla=
nd/src/keyboard.c:4449
#3=C2=A0 0x00005555556fcd91 in swallow_events (do_display=3Dtrue) at /usr/s=
rc/debug/emacs/emacs-29.3-wayland/src/keyboard.c:4489
#4=C2=A0 0x0000555555831607 in wait_reading_process_output (time_limit=3D<o=
ptimized out>, nsecs=3D<optimized out>, read_kbd=3D<optimized out>, do_disp=
lay=3D<optimized out>, wait_for_cell=3D<optimized out>, wait_proc=3D<optimi=
zed out>, just_wait_proc=3D<optimized out>) at /usr/src/debug/emacs/emacs-2=
9.3-wayland/src/process.c:5788
#5=C2=A0 0x00005555555eea46 in sit_for (timeout=3D<optimized out>, reading=
=3D<optimized out>, display_option=3D<optimized out>) at /usr/src/debug/ema=
cs/emacs-29.3-wayland/src/dispnew.c:6264
#6=C2=A0 0x0000555555705551 in read_char (commandflag=3D1, map=3D0x555556d9=
5bc3, prev_event=3D0x0, used_mouse_menu=3D0x7fffffffcb2b, end_time=3D0x0) a=
t /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:2881
#7=C2=A0 0x00005555558d7de7 in read_key_sequence.constprop.0 (keybuf=3D<opt=
imized out>, prevent_redisplay=3Dfalse, fix_current_buffer=3D<optimized out=
>, can_return_switch_frame=3D<optimized out>, dont_downcase_last=3D<optimiz=
ed out>, prompt=3D<optimized out>) at /usr/src/debug/emacs/emacs-29.3-wayla=
nd/src/keyboard.c:10084
#8=C2=A0 0x00005555556f50f4 in command_loop_1 () at /usr/src/debug/emacs/em=
acs-29.3-wayland/src/keyboard.c:1384
#9=C2=A0 0x00005555557b50df in internal_condition_case (bfun=3D0x5555556f4e=
20 <command_loop_1>, handlers=3D<optimized out>, hfun=3D0x5555556f2890 <cmd=
_error>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/eval.c:1474
#10 0x00005555556f2b6e in command_loop_2 (handlers=3Dhandlers@entry=3D0x90)=
 at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:1133
#11 0x00005555557b5035 in internal_catch (tag=3D<optimized out>, func=3D0x5=
555556f2b40 <command_loop_2>, arg=3D0x90) at /usr/src/debug/emacs/emacs-29.=
3-wayland/src/eval.c:1197
#12 0x00005555556f48f9 in command_loop () at /usr/src/debug/emacs/emacs-29.=
3-wayland/src/keyboard.c:1111
#13 0x000055555590ceb0 in recursive_edit_1.isra.0 () at /usr/src/debug/emac=
s/emacs-29.3-wayland/src/keyboard.c:720
#14 0x00005555556f4e00 in Frecursive_edit () at /usr/src/debug/emacs/emacs-=
29.3-wayland/src/keyboard.c:803
#15 0x00005555556fa777 in main (argc=3D<optimized out>, argv=3D0x7fffffffd2=
48) at /usr/src/debug/emacs/emacs-29.3-wayland/src/emacs.c:2521
(gdb) p *(struct selection_input_event *) event
$1 =3D {kind =3D SELECTION_REQUEST_EVENT, dpyinfo =3D 0x56243690, requestor=
 =3D 0x55555651b3d0, selection =3D 0x1, target =3D 0x4d, property =3D 0x5e,=
 time =3D 0}
(gdb) p *dpyinfo
value has been optimized out
(gdb) p *dpyinfo->terminal
value has been optimized out
(gdb) kill
Kill the program being debugged? (y or n) y
[Inferior 1 (process 5813) killed]
(gdb) q
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

--
Best Regards,
Abraham
Sent with Tutanota; https://tuta.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 13 Apr 2024 01:45:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 21:45:09 2024
Received: from localhost ([127.0.0.1]:59755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rvSS4-0000iC-89
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2024 21:45:09 -0400
Received: from sonic311-25.consmr.mail.ne1.yahoo.com ([66.163.188.206]:45635)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1rvSS0-0000fy-RU
 for 70073 <at> debbugs.gnu.org; Fri, 12 Apr 2024 21:45:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1712972688; bh=pCmaKkJcAromxj/qMtaL0WcI3a0EDqCpsfwvpo2YdoU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=IqNyIZsqvGi/4r/J5OA0217BDOPbi8WoRtFAWEyMC0umHp4In+ICx5l+wtpc5GeArfzh+CfHs+pXl3OQ6eofFUu4GGeoCL0RJShmx3cobOxJlQ6rIyw4oG42hvSYNgPICa3NIa6wE5HimBmBD8w9cYhqBcfwZ3HygFOY+4Bp2TMbDZisv6//EIw8a7QR0UwjIaG7AMVrjD9wZjPLd4rntGwVTDOecL1hJjn3tzHclDeP4RWKtB3XYw8/PANnb+aJEqCQogg0570cPHht42TMgswjQy05MSbaiceJD/4EfcSwEN73jn6bv0xr6I/3U3E+0gPUCVOXSHihj5DA8tmyCA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1712972688; bh=OEoH90KC34Ip8HcDekUYlxzcpK43HVECFZKqmfr42Q6=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=B2zEZ6+xi2rKsbns/t7loRAsHDvyMl/2UasSH5RHSeXqP3b8CXzAVOne0AiOwB5pogKrn7EkBcNQcXWicbpmWUoqSU8xGJ5aC/+BV8jGOvA2Q8KsBlqSRm23uxr4n+SCo8gi1V78qPN/E9Pman9qbRL713KLrvc+8jUgi0lyg9EHBh0EmYV4XG9IYOwW6iKkWjdfgdCfjxUgTytmtSuDcGh1FAboQehEEwXHWdKD4EazycC1zn9Pmug2vQNsQ4yj4lpSORXe0YO8qgOP4bcCFTn1dfEZ8DoZp62+1P4qM74ATN3NeFifK1zmzYrqDu/tNff2MJzWg3N6E3IxnTquMg==
X-YMail-OSG: A7AvCakVM1lnkjOTyKyJaJ6G.U2k0JDA8FbLhIxsoPmNuQ_wpXqzJJtTFZIH03R
 fd1fqBzIoF8sQ7I0jPnN9mKgbiq3eX198KqVO.oUpbyaU3LF2KTodvMU_0yMOSNGDnAL00Jhi3Dd
 HFzP7AKfhSgins0fhO9ZoPLfXxt16K4JwGsJTB_tr8DHWzBSHopy6gx.1mRM5z0.iJAFPO0MY22x
 CaAjmWLn.lZtAYSpxAXgIPXBRN1Sez0KKij2Lbv2TsWcrb2YxmKMAN1tHFl.tm14eeAdOAq4QxAV
 93lsitfSF9bnNGlHlRAEWdFyZmoI0fXvXhiLhqTzmRwXPRNV5z1zbTs34G88aWTutNofIqNIIuHs
 s4cZRHG3_ioh.5Xd9tO1PZmdNwR.ls936ZbHJLBhAf1Je4bZjIe6P88kWlHIOiNQ7Eoxjjq_issq
 Dj5zwIxoY_r8ekbmnqEr_LpSunBkqLHP_A7oHnCzfrkjW3nt3MQuRd3KQVBMeIzTnFMnVJaFbkx.
 AeVLihTP9IL8UooLSXiQD93lWdlfBSVVGm4YADrjVXGYdYDgyPVLFiPSvt6U0YR93J0VoHKuIAsw
 WxAI5mDzKkJNCzTjcpS0k5DaQy6B9A6KXaLt8cK7auNFt33kLtQ088DL8l0CC3di.DqHWC.nPpOj
 2jMBW.7lcyjzE04ZXqXvZGiFnUd5TlQdnS9eDFsMZ9..pDoou64bv.tJG11chkXiby2tiutSHfgN
 46noU5UL2utq5i44.qUo_42oRCmuRJT8.nzk180.n7UPFpxZnt.zeI4sJCnYjinXx0EUz70P_q5C
 8zlnV8YxYvEUiHKI6NvFMNGreNwQLjqTTBHTqr.gxts.sBk7K0n_y01svzxKB_0CewEHNc2xiR9L
 cPkoEYQ7qzNCK.ot5TOUz_5KpZcVf9oICoh9GSF6rb40eqWLwTimEZOpFdcKFQdEVQSba99PxQFk
 3uCDGvGT9q70SWYafoePJCzOaQIhx_D74xw4E74DSxRErkPh5KrgbQ5GUO8kS9Nc8_VPJXE0cYRA
 drdLjR8tBG0mGkh50qzsaESkMD27ITEvs_HvB5OkmED3RbVMDacISffd2FAjviiilVZ_p9.jew3m
 YrAKIRbi2X1mH7fHPnoA4G83xnDiyoanMySKZeXLSYmj_O8LHe9_pPnKolsBuHsvgZLMXt749RNq
 lrnkSfIuhODZJhxYf.XCpGcjac3YtbHaci2TcgUPOOAcM63Ov2cUcKScQ8UHPV9HIsoAMQRVOtWX
 WWQ9_P7deJOlqH4DbN4fsknOUiLDDghVYEeXAcy1cBpmNN2lf_vuXCR7d113vb7kfVQTUfDr9dUR
 eLKi7m4fJfA1CkUIjsoiOUcEroiwpO6jsoBMBB.gyC6lAnrJQdrR8Y1XenRTL3Xy_59RXgpyPP3w
 ghvKl6Fw3HCR5w48wTj6E2LN4u6wXB67bwWwX57GKcwy2bm9MHj0umixcWDFBMe897TPxaR1JnhJ
 JP9_KZw9LQqZhSrhHLQRcWvOZH6R6x8Vq2g9Uih9iI.Suodh0ElFFRUx25QmTQkw0U5KnZVEEKUl
 P3r81AKA0qqhfuGflfOUM.MENPgNLstVxAvkAs79tvFr2Q4zdJ2FW6sIbsC4F8oIl6kYkQm8WftS
 nsDE8ERx24GVJfqKRUf8xNuwEvc2fkgdvxrW2TRGF7arT3bhcO07JUVLNgAQit1T3DNOr21YzC0X
 Gab3.qVkCXWMPu_ZXMOGeC.6GzePMOHTTjg45nJcgevrsjHkZgpPnnDOZ6OAGhOK6ZI3DmcK06NO
 MW.YbVNt_L2naQqWBj2_OCBmLE2SiaN7LDG2Ugj_baGgeYd2cMcclJsCBM6ZKT71hHnp6yAH5nWb
 rV15UkBd_Aw9QROxlHm9HCCIKIV4oOp_OTfCIVPDwDy72rlIHm5YXp_arilHqf_PvHqpjAmUV.T2
 GirKd6lBT8HcrBSVy1KDqMftESqdYOCy6Snr6PHQszrvRLkJFgJfkTMXjgb31M1kEVsgm_WFQVnB
 475Di2FP5CfCJacOs3aD0ce.i.mGshiU3euNZIJn1PVB32f.78J8hVvILNmBsKt7V6y.SaYHPASo
 v0sZk0i8aKlwJ7dzqclHop6THR8AcSqKXz9uYfk17m4AaethNrapEEa_NDfn_59e.I37vlzt0ZIz
 UGh3LsouQejY4ikz2Vy0QljFX0po_3BNZ2j5r0nlxKwc7WNxnvLH_3p36yo7XwEbZbnPBUz5MSOi
 DFKqk7fpC6SBesGKPMSVne6QZJ8MMZm5Tzw8h7Zd9lIGu3ZeKK0O1UIMTrgwM
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: 58f71c58-bd7b-40ca-8ceb-ea91fcef5c29
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Sat, 13 Apr 2024 01:44:48 +0000
Received: by hermes--production-sg3-6f9f87bd85-d9mmq (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 31110a6551fab6564ec785ac67f8a934; 
 Sat, 13 Apr 2024 01:44:44 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
In-Reply-To: <8634rqs8l3.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 12 Apr
 2024 22:07:52 +0300")
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN> <NuE1cqZ--3-9@HIDDEN>
 <86ttkndgpb.fsf@HIDDEN> <NvGat_9--B-9@HIDDEN>
 <86r0fasutv.fsf@HIDDEN> <NvIb6tj--3-9@HIDDEN>
 <8634rqs8l3.fsf@HIDDEN>
Date: Sat, 13 Apr 2024 09:44:39 +0800
Message-ID: <878r1i3uk8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 696
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70073
Cc: "Abraham S.A.H." <arash.sah@HIDDEN>, 70073 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Po Lu, any idea why pgtk_handle_selection_request segfaults at that
> point?  Is dpyinfo or dpyinfo->terminal a NULL or invalid pointer or
> something?

That should not be possible.

>> Date: Fri, 12 Apr 2024 20:41:02 +0200 (CEST)
>> From: "Abraham S.A.H." <arash.sah@HIDDEN>
>> Cc: 70073 <70073 <at> debbugs.gnu.org>
>>=20
>> Thread 1 (Thread 0x7ffff2090080 (LWP 60645) "emacs"):
>> #0=C2=A0 pgtk_handle_selection_request (event=3D0x7fffffffc040) at /usr/=
src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:573

Abraham, please run the following commands:

  p *(struct selection_input_event *) event
  p *dpyinfo
  p *dpyinfo->terminal

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 12 Apr 2024 19:08:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 15:08:25 2024
Received: from localhost ([127.0.0.1]:59619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rvMG7-0003G2-Qj
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2024 15:08:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rvMG3-0003EZ-VP
 for 70073 <at> debbugs.gnu.org; Fri, 12 Apr 2024 15:08:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rvMFk-0005az-Ob; Fri, 12 Apr 2024 15:08:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=XwPLnsiVCxyGnVcV3jfw4wZAWCzM036X/kMLZ9EDBes=; b=fRWajtEFE8xzSEMBG4r7
 RS2DfikrpFQU9gnB0oHp+mhHBdCK2QgD4MRtnTM5syqhYnCfaxcdR2JTnuQs428nWLS3HarGN45hR
 lOElhNHd41qT+NlCG/cM2HzZxDiw4csonwqMhx5ozK/UJBpVuq6tTWgFGteTtjN88pE2uitXBxo9y
 wJCiz6wZeUto+/s0Ypp5VsQdb3q80poLlzDbdCsyrs9mchcS+sClLjNtXPI8/Tzgd/TSqLIP2Q5Dg
 LxYPeJ9i0pRetdDEXs/YCPlEVgqer7bt7uvbZ5RlgHxwjrr6UEYIVlAx5QjFTzt0OW4I41ptlhr5P
 MBteFjbvwzlqLg==;
Date: Fri, 12 Apr 2024 22:07:52 +0300
Message-Id: <8634rqs8l3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Abraham S.A.H." <arash.sah@HIDDEN>, Po Lu <luangruo@HIDDEN>
In-Reply-To: <NvIb6tj--3-9@HIDDEN> (arash.sah@HIDDEN)
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN> <NuE1cqZ--3-9@HIDDEN> <86ttkndgpb.fsf@HIDDEN>
 <NvGat_9--B-9@HIDDEN> <86r0fasutv.fsf@HIDDEN> <NvIb6tj--3-9@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 12 Apr 2024 20:41:02 +0200 (CEST)
> From: "Abraham S.A.H." <arash.sah@HIDDEN>
> Cc: 70073 <70073 <at> debbugs.gnu.org>
> 
> Thread 1 (Thread 0x7ffff2090080 (LWP 60645) "emacs"):
> #0  pgtk_handle_selection_request (event=0x7fffffffc040) at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:573
> #1  0x00005555556fbc8d in pgtk_handle_selection_event (event=0x7fffffffc040) at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:784
> #2  process_special_events () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:4449
> #3  0x00005555556fcd91 in swallow_events (do_display=true) at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:4489
> #4  0x0000555555831607 in wait_reading_process_output (time_limit=<optimized out>, nsecs=<optimized out>, read_kbd=<optimized out>, do_display=<optimized out>, wait_for_cell=<optimized out>, wait_proc=<optimized out>, just_wait_proc=<optimized out>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/process.c:5788
> #5  0x00005555555eea46 in sit_for (timeout=<optimized out>, reading=<optimized out>, display_option=<optimized out>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/dispnew.c:6264
> #6  0x0000555555705551 in read_char (commandflag=1, map=0x555556dc40f3, prev_event=0x0, used_mouse_menu=0x7fffffffcb6b, end_time=0x0) at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:2881
> #7  0x00005555558d7de7 in read_key_sequence.constprop.0 (keybuf=<optimized out>, prevent_redisplay=false, fix_current_buffer=<optimized out>, can_return_switch_frame=<optimized out>, dont_downcase_last=<optimized out>, prompt=<optimized out>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:10084
> #8  0x00005555556f50f4 in command_loop_1 () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:1384
> #9  0x00005555557b50df in internal_condition_case (bfun=0x5555556f4e20 <command_loop_1>, handlers=<optimized out>, hfun=0x5555556f2890 <cmd_error>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/eval.c:1474
> #10 0x00005555556f2b6e in command_loop_2 (handlers=handlers@entry=0x90) at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:1133
> #11 0x00005555557b5035 in internal_catch (tag=<optimized out>, func=0x5555556f2b40 <command_loop_2>, arg=0x90) at /usr/src/debug/emacs/emacs-29.3-wayland/src/eval.c:1197
> #12 0x00005555556f48f9 in command_loop () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:1111
> #13 0x000055555590ceb0 in recursive_edit_1.isra.0 () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:720
> #14 0x00005555556f4e00 in Frecursive_edit () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:803
> #15 0x00005555556fa777 in main (argc=<optimized out>, argv=0x7fffffffd278) at /usr/src/debug/emacs/emacs-29.3-wayland/src/emacs.c:2521

Thanks.

Po Lu, any idea why pgtk_handle_selection_request segfaults at that
point?  Is dpyinfo or dpyinfo->terminal a NULL or invalid pointer or
something?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 12 Apr 2024 18:41:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 14:41:28 2024
Received: from localhost ([127.0.0.1]:59580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rvLq2-0007NI-ER
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2024 14:41:28 -0400
Received: from w1.tutanota.de ([81.3.6.162]:52600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash.sah@HIDDEN>) id 1rvLpw-0007Kv-No
 for 70073 <at> debbugs.gnu.org; Fri, 12 Apr 2024 14:41:25 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w1.tutanota.de (Postfix) with ESMTP id 9C2C2FBFA7B;
 Fri, 12 Apr 2024 18:41:02 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1712947262; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=B5HtVrruAUH9BKulKjFzcvmxc5KZDLKRSf5j57g5mPs=;
 b=pd/njRav0igt8Lzp1qOFVCvrXF7IP10Hx5P+b/V+BNOlgkjHgpQKXKjUSdul/Bs5
 u0cLtbAb0McN4Xyhl9wFzKK2NXPvkLxzffcboKNOYn9cgBvstHxGFiLnxI4mhnMPRzJ
 ydUva2WgkBqZfPjpKu5I6Xakmze3CdqaZSyxJTfkWrDdr2HtIMnd/K0tHiyPDQXOBw2
 u3kOanfW0PBktQ95bLNZg0CNaAWdQ9dV8lzacBEZPdGOLquIB7wyuaPycYBk7sYYPf1
 7xeGSqozmIINtqMZzLGX9b0HP3nXKBa4UAXXDefYmHxAzu6b97w4MekJkLK3U5nsE94
 WE73MI2UxA==
Date: Fri, 12 Apr 2024 20:41:02 +0200 (CEST)
From: "Abraham S.A.H." <arash.sah@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <NvIb6tj--3-9@HIDDEN>
In-Reply-To: <86r0fasutv.fsf@HIDDEN>
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN> <NuE1cqZ--3-9@HIDDEN> <86ttkndgpb.fsf@HIDDEN>
 <NvGat_9--B-9@HIDDEN> <86r0fasutv.fsf@HIDDEN>
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <70073 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> At this point, please type at the GDB prompt...

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
GNU gdb (GDB) 14.2
Copyright (C) 2023 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
=C2=A0=C2=A0=C2=A0 <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from emacs...
(gdb) r -Q
Starting program: /usr/bin/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 60662)]
[New Thread 0x7fffe7e006c0 (LWP 60663)]
[New Thread 0x7fffed0006c0 (LWP 60664)]
[New Thread 0x7fffe74006c0 (LWP 60665)]
[New Thread 0x7fffe6a006c0 (LWP 60666)]
[New Thread 0x7fffe50006c0 (LWP 60667)]
[Detaching after vfork from child process 60668]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
pgtk_handle_selection_request (event=3D0x7fffffffc040)
=C2=A0=C2=A0=C2=A0 at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselec=
t.c:573
warning: 573=C2=A0=C2=A0=C2=A0 /usr/src/debug/emacs/emacs-29.3-wayland/src/=
pgtkselect.c: No such file or directory
(gdb) thread apply all bt

Thread 7 (Thread 0x7fffe50006c0 (LWP 60667) "emacs"):
#0=C2=A0 0x00007ffff37233ad in syscall () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fc8487 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f38454 in ??? () at /usr/lib/libglib-2.0.so.0
#3=C2=A0 0x00007ffff6f384bc in g_async_queue_pop () at /usr/lib/libglib-2.0=
.so.0
#4=C2=A0 0x00007ffff6046c08 in ??? () at /usr/lib/libpangoft2-1.0.so.0
#5=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#6=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#7=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fffe6a006c0 (LWP 60666) "dconf worker"):
#0=C2=A0 0x00007ffff371876f in poll () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f6d712 in g_main_context_iteration () at /usr/lib/libg=
lib-2.0.so.0
#3=C2=A0 0x00007fffee1c638e in ??? () at /usr/lib/gio/modules/libdconfsetti=
ngs.so
#4=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffe74006c0 (LWP 60665) "gdbus"):
#0=C2=A0 0x00007ffff371876f in poll () at /usr/lib/libc.so.6
--Type <RET> for more, q to quit, c to continue without paging--c
#1=C2=A0 0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f6edc7 in g_main_loop_run () at /usr/lib/libglib-2.0.s=
o.0
#3=C2=A0 0x00007ffff71ca83c in ??? () at /usr/lib/libgio-2.0.so.0
#4=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fffed0006c0 (LWP 60664) "pool-emacs"):
#0=C2=A0 0x00007ffff37233ad in syscall () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fc8e43 in g_cond_wait_until () at /usr/lib/libglib-2.0=
.so.0
#2=C2=A0 0x00007ffff6f38425 in ??? () at /usr/lib/libglib-2.0.so.0
#3=C2=A0 0x00007ffff6f38587 in g_async_queue_timeout_pop () at /usr/lib/lib=
glib-2.0.so.0
#4=C2=A0 0x00007ffff6fa1a5e in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#6=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#7=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fffe7e006c0 (LWP 60663) "gmain"):
#0=C2=A0 0x00007ffff371876f in poll () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f6d712 in g_main_context_iteration () at /usr/lib/libg=
lib-2.0.so.0
#3=C2=A0 0x00007ffff6f6d762 in ??? () at /usr/lib/libglib-2.0.so.0
#4=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffeda006c0 (LWP 60662) "pool-spawner"):
#0=C2=A0 0x00007ffff37233ad in syscall () at /usr/lib/libc.so.6
#1=C2=A0 0x00007ffff6fc8487 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2=C2=A0 0x00007ffff6f38454 in ??? () at /usr/lib/libglib-2.0.so.0
#3=C2=A0 0x00007ffff6f9d29e in ??? () at /usr/lib/libglib-2.0.so.0
#4=C2=A0 0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5=C2=A0 0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6=C2=A0 0x00007ffff3725cdc in ??? () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7ffff2090080 (LWP 60645) "emacs"):
#0=C2=A0 pgtk_handle_selection_request (event=3D0x7fffffffc040) at /usr/src=
/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:573
#1=C2=A0 0x00005555556fbc8d in pgtk_handle_selection_event (event=3D0x7ffff=
fffc040) at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:784
#2=C2=A0 process_special_events () at /usr/src/debug/emacs/emacs-29.3-wayla=
nd/src/keyboard.c:4449
#3=C2=A0 0x00005555556fcd91 in swallow_events (do_display=3Dtrue) at /usr/s=
rc/debug/emacs/emacs-29.3-wayland/src/keyboard.c:4489
#4=C2=A0 0x0000555555831607 in wait_reading_process_output (time_limit=3D<o=
ptimized out>, nsecs=3D<optimized out>, read_kbd=3D<optimized out>, do_disp=
lay=3D<optimized out>, wait_for_cell=3D<optimized out>, wait_proc=3D<optimi=
zed out>, just_wait_proc=3D<optimized out>) at /usr/src/debug/emacs/emacs-2=
9.3-wayland/src/process.c:5788
#5=C2=A0 0x00005555555eea46 in sit_for (timeout=3D<optimized out>, reading=
=3D<optimized out>, display_option=3D<optimized out>) at /usr/src/debug/ema=
cs/emacs-29.3-wayland/src/dispnew.c:6264
#6=C2=A0 0x0000555555705551 in read_char (commandflag=3D1, map=3D0x555556dc=
40f3, prev_event=3D0x0, used_mouse_menu=3D0x7fffffffcb6b, end_time=3D0x0) a=
t /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:2881
#7=C2=A0 0x00005555558d7de7 in read_key_sequence.constprop.0 (keybuf=3D<opt=
imized out>, prevent_redisplay=3Dfalse, fix_current_buffer=3D<optimized out=
>, can_return_switch_frame=3D<optimized out>, dont_downcase_last=3D<optimiz=
ed out>, prompt=3D<optimized out>) at /usr/src/debug/emacs/emacs-29.3-wayla=
nd/src/keyboard.c:10084
#8=C2=A0 0x00005555556f50f4 in command_loop_1 () at /usr/src/debug/emacs/em=
acs-29.3-wayland/src/keyboard.c:1384
#9=C2=A0 0x00005555557b50df in internal_condition_case (bfun=3D0x5555556f4e=
20 <command_loop_1>, handlers=3D<optimized out>, hfun=3D0x5555556f2890 <cmd=
_error>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/eval.c:1474
#10 0x00005555556f2b6e in command_loop_2 (handlers=3Dhandlers@entry=3D0x90)=
 at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:1133
#11 0x00005555557b5035 in internal_catch (tag=3D<optimized out>, func=3D0x5=
555556f2b40 <command_loop_2>, arg=3D0x90) at /usr/src/debug/emacs/emacs-29.=
3-wayland/src/eval.c:1197
#12 0x00005555556f48f9 in command_loop () at /usr/src/debug/emacs/emacs-29.=
3-wayland/src/keyboard.c:1111
#13 0x000055555590ceb0 in recursive_edit_1.isra.0 () at /usr/src/debug/emac=
s/emacs-29.3-wayland/src/keyboard.c:720
#14 0x00005555556f4e00 in Frecursive_edit () at /usr/src/debug/emacs/emacs-=
29.3-wayland/src/keyboard.c:803
#15 0x00005555556fa777 in main (argc=3D<optimized out>, argv=3D0x7fffffffd2=
78) at /usr/src/debug/emacs/emacs-29.3-wayland/src/emacs.c:2521
(gdb)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~=
~

--
Best Regards,
Abraham
Sent with Tutanota; https://tuta.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 12 Apr 2024 11:07:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 07:07:47 2024
Received: from localhost ([127.0.0.1]:57976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rvEl1-00032t-3C
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2024 07:07:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rvEky-00031e-27
 for 70073 <at> debbugs.gnu.org; Fri, 12 Apr 2024 07:07:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rvEki-0004ue-IS; Fri, 12 Apr 2024 07:07:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=1E8Lp++Fcj4kfVuWFpPoBJ9aF6K7U/CligtNRYXTrh4=; b=T+44IqN4N7e6wNQUjbv7
 dww+iOsgmun9k+zmNXx7XqXI38s8UL+pITK+RiCDkrM2da9mRCuPFfZvNqmUhAgW5amPGI8vu21Si
 8OJRoJas3UpJG4j6PjL6N0Ztgo2afVmR5BWEImfGpFpAO/VX8LgvUCp8HH7TwATZJW2N/tSzO9PXd
 b0mzV4ktDP7WQytfCIWruvvvjiyIxBd98sA4wg3t00Fum/zJDSj6cEXUAcbyv00jKlIiH7mxj/eB8
 ppW/vk2zOui85G91iQJWj3WxVsCBZhX3V2GuoTGtTpJiIKylDKWm1ZwDiPAx5csyPTVRlZr1v5LIK
 X6PJ42zXgwGqZw==;
Date: Fri, 12 Apr 2024 14:07:24 +0300
Message-Id: <86r0fasutv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Abraham S.A.H." <arash.sah@HIDDEN>
In-Reply-To: <NvGat_9--B-9@HIDDEN> (arash.sah@HIDDEN)
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN> <NuE1cqZ--3-9@HIDDEN> <86ttkndgpb.fsf@HIDDEN>
 <NvGat_9--B-9@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 12 Apr 2024 11:54:50 +0200 (CEST)
> From: "Abraham S.A.H." <arash.sah@HIDDEN>
> Cc: 70073 <70073 <at> debbugs.gnu.org>
> 
> Sorry for delay.
> 
> I got the opportunity to build Arch's `emacs-wayland` package myself, from the same PKGBUILD file used to build it in Arch's official repositories, including debug and without stripping anything. The result was about 30mg increase in size of the final built Emacs.  And the issue still persist.

The increase of the executable size is because it includes debug info.

> $ gdb emacs
> GNU gdb (GDB) 14.2
> Copyright (C) 2023 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> Type "show copying" and "show warranty" for details.
> This GDB was configured as "x86_64-pc-linux-gnu".
> Type "show configuration" for configuration details.
> For bug reporting instructions, please see:
> <https://www.gnu.org/software/gdb/bugs/>.
> Find the GDB manual and other documentation resources online at:
>     <http://www.gnu.org/software/gdb/documentation/>.
> 
> For help, type "help".
> Type "apropos word" to search for commands related to "word"...
> Reading symbols from emacs...
> (gdb) r -Q
> Starting program: /usr/bin/emacs -Q
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/usr/lib/libthread_db.so.1".
> [New Thread 0x7fffeda006c0 (LWP 7410)]
> [New Thread 0x7fffed0006c0 (LWP 7411)]
> [New Thread 0x7fffe7e006c0 (LWP 7412)]
> [New Thread 0x7fffe74006c0 (LWP 7413)]
> [New Thread 0x7fffe6a006c0 (LWP 7414)]
> [New Thread 0x7fffe54006c0 (LWP 7415)]
> [Detaching after vfork from child process 7435]
> 
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> pgtk_handle_selection_request (event=0x7fffffffbe80)
>     at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:573
> warning: 573    /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c: No such file or directory

At this point, please type at the GDB prompt:

  thread apply all bt

and post the backtrace produced by GDB.  That's the information we
need to try to figure out what causes these crashes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 12 Apr 2024 09:55:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 05:55:13 2024
Received: from localhost ([127.0.0.1]:57912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rvDcm-0000Hs-9q
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2024 05:55:13 -0400
Received: from w1.tutanota.de ([81.3.6.162]:37734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash.sah@HIDDEN>) id 1rvDch-0000Fy-1w
 for 70073 <at> debbugs.gnu.org; Fri, 12 Apr 2024 05:55:10 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w1.tutanota.de (Postfix) with ESMTP id 04AE3FBFBCB;
 Fri, 12 Apr 2024 09:54:51 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1712915690; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=71Wso7CPwzgzLkj08OISteXS0g/j67FKzz9O9cVH2j4=;
 b=11HimG2iNMpZiR7LV0iUnYghZPLERkAl2/N6w/iTH0BmjYZIvGU/lKxKR8RNE8wt
 dE9j+AZcwg0cW6FPZ/BAR+lwHxvQago7a1qHWYJ1tr3bmQqDrk2gFF+sF3iRMtxYWLZ
 h6m+HNykz2wNaRdLH3YktlopT2bOVR9EeaE+5FY4HuRSey+UDli6sE/XciAZAh/7pVU
 MdLgyo1UQuSC4oZVmhYgkREUjzUdWX7Stmh+txvzPHnruPWD6IoQXiNd4/HTdLjCyCT
 /h617fDa844NNYRJ1Ys3IjaDO69RDOkX8Eq/QehwuR2EAO71hSLA3uR3u11AvMavGtc
 qJ5gWW7d3Q==
Date: Fri, 12 Apr 2024 11:54:50 +0200 (CEST)
From: "Abraham S.A.H." <arash.sah@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <NvGat_9--B-9@HIDDEN>
In-Reply-To: <86ttkndgpb.fsf@HIDDEN>
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN> <NuE1cqZ--3-9@HIDDEN> <86ttkndgpb.fsf@HIDDEN>
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <70073 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry for delay.

I got the opportunity to build Arch's `emacs-wayland` package myself, from =
the same PKGBUILD file used to build it in Arch's official repositories, in=
cluding debug and without stripping anything. The result was about 30mg inc=
rease in size of the final built Emacs.=C2=A0 And the issue still persist.



GDB OUTPUT
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
$ gdb emacs
GNU gdb (GDB) 14.2
Copyright (C) 2023 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
=C2=A0=C2=A0=C2=A0 <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from emacs...
(gdb) r -Q
Starting program: /usr/bin/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 7410)]
[New Thread 0x7fffed0006c0 (LWP 7411)]
[New Thread 0x7fffe7e006c0 (LWP 7412)]
[New Thread 0x7fffe74006c0 (LWP 7413)]
[New Thread 0x7fffe6a006c0 (LWP 7414)]
[New Thread 0x7fffe54006c0 (LWP 7415)]
[Detaching after vfork from child process 7435]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
pgtk_handle_selection_request (event=3D0x7fffffffbe80)
=C2=A0=C2=A0=C2=A0 at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselec=
t.c:573
warning: 573=C2=A0=C2=A0=C2=A0 /usr/src/debug/emacs/emacs-29.3-wayland/src/=
pgtkselect.c: No such file or directory
(gdb) r -Q
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/bin/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 7535)]
[New Thread 0x7fffed0006c0 (LWP 7536)]
[New Thread 0x7fffe7e006c0 (LWP 7537)]
[New Thread 0x7fffe74006c0 (LWP 7538)]
[New Thread 0x7fffe6a006c0 (LWP 7539)]
[New Thread 0x7fffe54006c0 (LWP 7540)]
[Detaching after vfork from child process 7541]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
pgtk_handle_selection_request (event=3D0x7fffffffbe80)
=C2=A0=C2=A0=C2=A0 at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselec=
t.c:573
573=C2=A0=C2=A0=C2=A0=C2=A0 in /usr/src/debug/emacs/emacs-29.3-wayland/src/=
pgtkselect.c
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

report-emacs-bug OUTPUT
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In GNU Emacs 29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
cairo version 1.18.0)
System Description: Arch Linux

Configured using:
'configure --with-pgtk --with-native-compilation=3Daot --sysconfdir=3D/etc
--prefix=3D/usr --libexecdir=3D/usr/lib --with-tree-sitter
--localstatedir=3D/var --with-cairo --disable-build-details
--with-harfbuzz --with-libsystemd --with-modules 'CFLAGS=3D-march=3Dnative
-O3 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=3D3 -Wformat
-Werror=3Dformat-security -fstack-clash-protection -fcf-protection -g
-ffile-prefix-map=3D/tmp/makepkg/emacs/src=3D/usr/src/debug/emacs
-flto=3Dauto' 'LDFLAGS=3D-Wl,-O1 -Wl,--sort-common -Wl,--as-needed
-Wl,-z,relro -Wl,-z,now -Wl,-z,pack-relative-relocs,-fuse-ld=3Dmold
-flto=3Dauto' 'CXXFLAGS=3D-march=3Dnative -O3 -pipe -fno-plt -fexceptions
-Wp,-D_FORTIFY_SOURCE=3D3 -Wformat -Werror=3Dformat-security
-fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -g
-ffile-prefix-map=3D/tmp/makepkg/emacs/src=3D/usr/src/debug/emacs
-flto=3Dauto''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY
PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM GTK3 ZLIB

Important settings:
=C2=A0 value of $LC_COLLATE: en_GB.UTF-8
=C2=A0 value of $LC_CTYPE: en_GB.UTF-8
=C2=A0 value of $LC_MESSAGES: en_GB.UTF-8
=C2=A0 value of $LC_MONETARY: fa_IR.UTF-8
=C2=A0 value of $LC_NUMERIC: en_GB.UTF-8
=C2=A0 value of $LC_TIME: en_DK.UTF-8
=C2=A0 value of $LANG: en_GB.UTF-8
=C2=A0 locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
=C2=A0 tooltip-mode: t
=C2=A0 global-eldoc-mode: t
=C2=A0 eldoc-mode: t
=C2=A0 show-paren-mode: t
=C2=A0 electric-indent-mode: t
=C2=A0 mouse-wheel-mode: t
=C2=A0 tool-bar-mode: t
=C2=A0 menu-bar-mode: t
=C2=A0 file-name-shadow-mode: t
=C2=A0 global-font-lock-mode: t
=C2=A0 font-lock-mode: t
=C2=A0 blink-cursor-mode: t
=C2=A0 line-number-mode: t
=C2=A0 indent-tabs-mode: t
=C2=A0 transient-mark-mode: t
=C2=A0 auto-composition-mode: t
=C2=A0 auto-encryption-mode: t
=C2=A0 auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
comp comp-cstr warnings icons subr-x rx cl-seq cl-macs gv cl-extra
help-mode bytecomp byte-compile cl-lib sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils rmc iso-transl tooltip cconv
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/pgtk-win pgtk-win term/common-win pgtk-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs theme-loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
gtk pgtk lcms2 multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 77550 5699)
(symbols 48 7115 0)
(strings 32 19768 2366)
(string-bytes 1 600069)
(vectors 16 15780)
(vector-slots 8 329652 14342)
(floats 8 28 46)
(intervals 56 276 0)
(buffers 984 12))
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Now that I got time to build it and can more responsively reply for anythin=
g needed about this issue.

BY THE WAY, checking arch-devel and arch-general mailing lists and also "is=
sues" page of the emacs pacakge, it seems like no one else have this issue=
=E2=80=A6 kinda only happening to me!

During the time, I gave GTK+ and Lucid toolkits a try, and now I decided on=
 staying with the lucid toolkit. Even switched my whole desktop, from Pure =
Wayland of Gnome, to Pure X11 of Xfce4.=C2=A0=20

I think, I stay with it until using X is not practically possible.=C2=A0 Or=
 when PGTK is recommended by you (Emacs-devs).

--
Best Regards,
Abraham
Sent with Tutanota; https://tuta.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 30 Mar 2024 12:53:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 30 08:53:17 2024
Received: from localhost ([127.0.0.1]:44178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqYCy-0006Oe-C7
	for submit <at> debbugs.gnu.org; Sat, 30 Mar 2024 08:53:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rqYCw-0006OA-0m
 for 70073 <at> debbugs.gnu.org; Sat, 30 Mar 2024 08:53:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rqYCo-0003FA-KZ; Sat, 30 Mar 2024 08:53:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=04RiHVrZBONDzmcA9VpRj0oBT4gXhlebUpj+ke2Tpik=; b=WkVGpOCkjYlFgKB6DzQ2
 cz4wjTAB6V95KHOh9up0/JmCpSS3SMQvixivczU5x5vcGWElOncsOm82ifGnkKF7Cq3mw5S9kF/c2
 moQk47lHqpV8TkpZxj+ded/xBlZzao3z6SeFasbs6aq+47QANKwaSqndpn3mbp+wUtw1TGZi9YyBN
 lwWvGQ05/xOJYo7i6JGUqLn+4Y5bfh0YkSq4Sk1aR8cvHXU1GskCe2edgvdYL8aZbuW4i5T6pV5oZ
 TJmHu0s6FaFsx6jCAMPp7/i81s7UMqr/lzuROcEh9x8rTX/7UYFwd8dwpl4debkMCsBcpLuV/sA9/
 7f1Lv47G9nmSSQ==;
Date: Sat, 30 Mar 2024 15:53:04 +0300
Message-Id: <86ttkndgpb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Abraham S.A.H." <arash.sah@HIDDEN>
In-Reply-To: <NuE1cqZ--3-9@HIDDEN> (arash.sah@HIDDEN)
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN> <NuE1cqZ--3-9@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 30 Mar 2024 12:06:57 +0100 (CET)
> From: "Abraham S.A.H." <arash.sah@HIDDEN>
> Cc: 70073 <70073 <at> debbugs.gnu.org>
> 
> Okay, the Arch debug repository (extra-debug), does not contain a debug package for `emacs-wayland`.
> 
> Interestingly, `emacs-wayland` package is built with a single PKGBUILD file[1] containing instructions to build all other Emacs packages in Arch official repository.  So to reproduce `emacs-wayland` the same way it's built for Arch's repository, I have to build three other Emacs packages alongside `emacs-wayland`.  Those other three are `emacs`, `emacs-nox` and `emcas-nativecomp`. 
> 
> The other option for me to reproduce `emacs-wayland` package, is to review that file and write another one which just build that single package.   
> 
> I'll do the first later and then report.

Thank you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 30 Mar 2024 11:07:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 30 07:07:09 2024
Received: from localhost ([127.0.0.1]:44066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqWYF-0006LO-O1
	for submit <at> debbugs.gnu.org; Sat, 30 Mar 2024 07:07:08 -0400
Received: from w1.tutanota.de ([81.3.6.162]:53588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash.sah@HIDDEN>) id 1rqWYD-0006Kn-R8
 for 70073 <at> debbugs.gnu.org; Sat, 30 Mar 2024 07:07:06 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w1.tutanota.de (Postfix) with ESMTP id 06CEBFBFB99;
 Sat, 30 Mar 2024 11:06:58 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1711796817; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=zdNq2Pd3pDs9gxJzTCMyo+Cju9BERDBfLaSJwAqnhXo=;
 b=UP7SDv+8Ov6u7MR8UC6ZjUpTtCbOZSaumZdS1aRqY3USFXJcjBAd40+HUeDtH527
 RFoUz5UrfuhFmkkBDp4nKbeblm2zqmUfphXJ51G0QPdOSXcdFR0NekzZIcsynUuBmpA
 F/KtX/uB3BRHwvUQbEX9GV1sfZ+2tuOLZi4Bb99nPFoUPw0NbTentPeYVBq0iP+1CUn
 t+NHSFGe6EVaq4NdVQReD5vRQEJeJKoQokmLrcZeWdN1r1ivDWVFzpMIji/KG72ie5S
 blRtS7/LEd0TXWOn5In94yBEw/3XaphylZYxbQTfhvFS7pV1TD8rXHON5oUjRmo+LjQ
 PAPiEdguyg==
Date: Sat, 30 Mar 2024 12:06:57 +0100 (CET)
From: "Abraham S.A.H." <arash.sah@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <NuE1cqZ--3-9@HIDDEN>
In-Reply-To: <86y1a0cdpx.fsf@HIDDEN>
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
 <86y1a0cdpx.fsf@HIDDEN>
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <70073 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Okay, the Arch debug repository (extra-debug), does not contain a debug pac=
kage for `emacs-wayland`.

Interestingly, `emacs-wayland` package is built with a single PKGBUILD file=
[1] containing instructions to build all other Emacs packages in Arch offic=
ial repository.=C2=A0 So to reproduce `emacs-wayland` the same way it's bui=
lt for Arch's repository, I have to build three other Emacs packages alongs=
ide `emacs-wayland`.=C2=A0 Those other three are `emacs`, `emacs-nox` and `=
emcas-nativecomp`.=20

The other option for me to reproduce `emacs-wayland` package, is to review =
that file and write another one which just build that single package.=C2=A0=
=C2=A0=20

I'll do the first later and then report.

--
Best Regards,
Abraham
Sent with Tutanota; https://tuta.com

[1]:https://gitlab.archlinux.org/archlinux/packaging/packages/emacs/-/blob/=
main/PKGBUILD




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 30 Mar 2024 08:43:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 30 04:43:05 2024
Received: from localhost ([127.0.0.1]:43904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqUIq-0007j4-8Q
	for submit <at> debbugs.gnu.org; Sat, 30 Mar 2024 04:43:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rqUIo-0007iM-2C
 for 70073 <at> debbugs.gnu.org; Sat, 30 Mar 2024 04:43:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rqUIf-0004hK-JJ; Sat, 30 Mar 2024 04:42:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=R/M8/TstTsfg2IoLpXMiTkHiDk/BTUeab283S7jpjpM=; b=ALpAbt7m1iNQTBhXUYGE
 YYbfz45l74eAeEoRoWkKj83KSuTLlToTx9Orsi2Myx35lrkhH37W20oEdI/Av3wmGIRHw7Pr08YGW
 di27NpN0I+0Hj/xZq8kHZWy5O9Hc/BqOXZWk50qJCAw9zIikZGfXUmKJNEwysoCBKIgmhy34dgqte
 uV5aGyyk3K7PFBbo7Gzdr8upz55S0rxduweMzArM1UPKPee5IMKh4eJV/w2nszxE+fYjsFuvFq6ps
 Y/Iu6MVnJb1fCfzVyWHR1xT9aKdG1SUAw0El0nuLtYEkPamwM8jWLnT0y67RHwA6hnCH1Nyfk/3ij
 eAvXYHKs/Conbg==;
Date: Sat, 30 Mar 2024 11:42:50 +0300
Message-Id: <86y1a0cdpx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Abraham S.A.H." <arash.sah@HIDDEN>
In-Reply-To: <NuDPuyb--3-9@HIDDEN> (arash.sah@HIDDEN)
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN> <NuDPuyb--3-9@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 30 Mar 2024 09:13:26 +0100 (CET)
> From: "Abraham S.A.H." <arash.sah@HIDDEN>
> Cc: 70073 <70073 <at> debbugs.gnu.org>
> 
> 
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x00005555558567c9 in ?? ()
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> It seems like that `emacs-wayland` package does not contain debug symbols.  I have to probably consult with Arch Wiki or ask for guidance in archlinux mailing lists to find out if there is a version with debugging symbols enabled to download.   Or just rebuild the package with debugging symbols enabled.

Yes, please.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 30 Mar 2024 08:13:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 30 04:13:42 2024
Received: from localhost ([127.0.0.1]:43880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqTqN-0006Kp-3E
	for submit <at> debbugs.gnu.org; Sat, 30 Mar 2024 04:13:42 -0400
Received: from w1.tutanota.de ([81.3.6.162]:43426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash.sah@HIDDEN>) id 1rqTqI-0006KZ-N3
 for 70073 <at> debbugs.gnu.org; Sat, 30 Mar 2024 04:13:37 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w1.tutanota.de (Postfix) with ESMTP id 4398DFBF88A;
 Sat, 30 Mar 2024 08:13:26 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1711786406; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=ozgxqovp1rPDNh1HR1WaGQG1Pdu0iupvp1UcSEwl7k8=;
 b=l+2xvh+P7ScFQgScQiAyyVdt2sAVSQPgMd0JLPrgIfsjWltbwCQITGpOBmLhkIni
 e3dwIxLQ2TH6JRD2jatwnWDpmtUKRJcX53UTXaiYHJ/DhtfUcpCrrkVxYv/8n2F7Tlv
 phyZ2AyZt3NwxVY26q/1beA/ES4wNiG5rhr13+Or5NzDHS5njs2vlF/c2HVyX0RlNZs
 Z4Ivdu70wk6oTMgnA8j7zMjouK6fjxwPGjooZ3zWUfZFltUzUTjd7ETkcpfkYXzR5FN
 K6WttOTVBigFN2Iq1IfxqhpZ28BT3/6W8+u88sCzgjyMWczAIcsjpnqL5ULLe1ltLie
 OxHkJ4qxNQ==
Date: Sat, 30 Mar 2024 09:13:26 +0100 (CET)
From: "Abraham S.A.H." <arash.sah@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <NuDPuyb--3-9@HIDDEN>
In-Reply-To: <86edbsdz9i.fsf@HIDDEN>
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN> <86edbsdz9i.fsf@HIDDEN>
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <70073 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello. I ran GDB with `gdb emacs`.

It downloaded some debuginfo stuff that I don't know what are they.

And then I ran `run -Q`=20

It's the result on the terminal:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Reading symbols from emacs...
(No debugging symbols found in emacs)
(gdb) r -Q
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/bin/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 28804)]
[New Thread 0x7fffed0006c0 (LWP 28805)]
[New Thread 0x7fffe7e006c0 (LWP 28806)]
[New Thread 0x7fffe74006c0 (LWP 28807)]
[New Thread 0x7fffe6a006c0 (LWP 28808)]
[New Thread 0x7fffe50006c0 (LWP 28809)]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00005555558567c9 in ?? ()
(gdb) Quit
(gdb) r -Q
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/bin/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 28856)]
[New Thread 0x7fffed0006c0 (LWP 28857)]
[New Thread 0x7fffe7e006c0 (LWP 28858)]
[New Thread 0x7fffe74006c0 (LWP 28859)]
[New Thread 0x7fffe6a006c0 (LWP 28860)]
[New Thread 0x7fffe50006c0 (LWP 28861)]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00005555558567c9 in ?? ()
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

It seems like that `emacs-wayland` package does not contain debug symbols.=
=C2=A0 I have to probably consult with Arch Wiki or ask for guidance in arc=
hlinux mailing lists to find out if there is a version with debugging symbo=
ls enabled to download.=C2=A0=C2=A0 Or just rebuild the package with debugg=
ing symbols enabled.

--
Best Regards,
Abraham
Sent with Tutanota; https://tuta.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.
Merged 70072 70073. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 30 Mar 2024 06:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 30 02:12:27 2024
Received: from localhost ([127.0.0.1]:43781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqRx4-0005nf-TJ
	for submit <at> debbugs.gnu.org; Sat, 30 Mar 2024 02:12:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1rqRwz-0005nE-QD; Sat, 30 Mar 2024 02:12:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rqRwp-0006z9-TU; Sat, 30 Mar 2024 02:12:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=l77MmV02Q8PsWrWDgOanz9qW6xzTWL6UqibVvdBkYAQ=; b=MXfyDg0i2h9P0AyRu/OF
 dx10k++gdmiBeTsy/Z61oINxZKFASqemPZ6WELnudADftM8GSJGlTWBAXKKkrxtx5JM8BSQwQSGbv
 iBa+tCLwqJRdQ5iUnWleKX90A5RHO4JbGxbFWHboK8jwV20ft4T5PsRiC9hSqrSITghWoLHsmtmnz
 Dt1TxOngHtkEzHR2IDqqgGQXgAKBU9GPFiYrt+E9O1UZq6IotZE44SVkwEKtJ5/hPORHp2rAx/sU7
 b3ALaKXmJ01X7cOOSAAl3VxjOZO2Rf8XXkgoHuCNpraBxDpkTR1vx3t88dOrrOnUymwuAACfPbgxs
 J+7ZgnwF49O/JA==;
Date: Sat, 30 Mar 2024 09:12:09 +0300
Message-Id: <86edbsdz9i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Abraham S.A.H." <arash.sah@HIDDEN>
In-Reply-To: <NuAVPFf--B-9@HIDDEN> (arash.sah@HIDDEN)
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 70073 70072
thanks

[Please always use Reply All to reply, to keep the bug tracker CC'ed.]

> Date: Fri, 29 Mar 2024 19:53:40 +0100 (CET)
> From: "Abraham S.A.H." <arash.sah@HIDDEN>
> 
> > Thank you for your report, but these backtraces can only be
> > interpreted on your system.  So either convert them to human-readable
> > lists of file names, line numbers, and function names as described in
> > the node "Crashing" of the Emacs user manual, or run Emacs from GDB,
> > and when Emacs crashes, type "bt" at the GDB prompt and post the
> > backtrace produced by GDB.
> 
> The least I could do.  
> 
> That's the end of the day in my time — Tehran's time. I will do it again 
> with GDB as you instructed, tomorrow.  
> 
> > This says you invoked Emacs with --debug-init, not with -Q.  Which one
> > is correct?
> 
> It's saying right.  When I ran the bug report command, Emacs was invoked 
> with both `-Q` and `--debug-init` flags.  But the issue and backtrace is the 
> same, nonetheless.
> 
> > Is this different from bug#70072 that you submitted a few minutes ago,
> > or is this the same problem?  It sounds almost the same problem, just
> > triggered in 2 different ways.
> 
> Exactly, it seems to be the same issue, triggered in 2 different ways.  
> Even the crash backtrace is the same.

I'm therefore merging the two bugs.

> By the way!  I have tried `emacs-pgtk-native-comp-git` of AUR, which is
> Emacs dev master branch (30.0.50.171462) with PGTK and I could NOT
> reproduce the bug.  This is the only available package of Emacs dev branch
> with PGTK enabled, in Arch Linux.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 30 Mar 2024 06:04:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 30 02:04:31 2024
Received: from localhost ([127.0.0.1]:43766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqRpN-0005NE-3B
	for submit <at> debbugs.gnu.org; Sat, 30 Mar 2024 02:04:31 -0400
Received: from w1.tutanota.de ([81.3.6.162]:35602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash.sah@HIDDEN>) id 1rqHT1-0001gc-8l
 for 70073 <at> debbugs.gnu.org; Fri, 29 Mar 2024 15:00:44 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w1.tutanota.de (Postfix) with ESMTP id 212DCFBFC92
 for <70073 <at> debbugs.gnu.org>; Fri, 29 Mar 2024 19:00:36 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1711738836; 
 s=s1; d=tuta.io;
 h=From:From:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=R3Rn6F4NEWIFYHVMAeoUq+EZgf5XzqZ8KNgxWOS0WC8=;
 b=bD79UcWFMnLLylPLxmRUEWoidbkBQKnh2UsnTBWf7MRcp7CeEaYzorhnE/per+sx
 rYm4wie49PbzOJkMrpz/No1SvsVEjRf1BwMczyJysLKdV9FzzyLypiLkXs1qPvluC5n
 GkFuThQkOz66X/5t6IR+PEZovLGvkFGBghq4XsXkmc5KPZ5qHcTyH2VzDaThe6TUqXZ
 ZzsO9bUX952yONsMInrqeLPDT8DF1PJHXl4EV3t4EvwlOpzl1JdQy6E2jDixqwvXztu
 +hb3qHWx+Oy681RbEfeQexOeCJq4g1boph6380XdRmIbkPV4MLA/+19Z/HGd4RIG48j
 APs2c0rHpw==
Date: Fri, 29 Mar 2024 20:00:36 +0100 (CET)
From: "Abraham S.A.H." <arash.sah@HIDDEN>
Message-ID: <NuA_S23--3-9@HIDDEN>
References: <Nu9gaZH--3-9@HIDDEN> <86jzlkeww1.fsf@HIDDEN>
 <NuAVPFf--B-9@HIDDEN>
Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text
 inside emacs and then middle clicking outside of Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Thank you for your report, but these backtraces can only
 be > interpreted on your system. So either convert them to human-readable
 > lists of file names, line numbers, and function names as describe [...]
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [81.3.6.162 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.2 MISSING_HEADERS        Missing To: header
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 70073
X-Mailman-Approved-At: Sat, 30 Mar 2024 02:04:25 -0400
Cc: 70073 <70073 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

> Thank you for your report, but these backtraces can only be
> interpreted on your system. So either convert them to human-readable
> lists of file names, line numbers, and function names as described in
> the node "Crashing" of the Emacs user manual, or run Emacs from GDB,
> and when Emacs crashes, type "bt" at the GDB prompt and post the
> backtrace produced by GDB.

The least I could do.=C2=A0

That's the end of the day in my time =E2=80=94 Tehran's time. I will do it =
again
with GDB as you instructed, tomorrow.=C2=A0=C2=A0

> This says you invoked Emacs with --debug-init, not with -Q. Which one
> is correct?

It's saying right.=C2=A0 When I ran the bug report command, Emacs was invok=
ed
with both `-Q` and `--debug-init` flags.=C2=A0 But the issue and backtrace =
is the
same, nonetheless.

> Is this different from bug#70072 that you submitted a few minutes ago,
> or is this the same problem? It sounds almost the same problem, just
> triggered in 2 different ways.

Exactly, it seems to be the same issue, triggered in 2 different ways.=C2=
=A0
Even the crash backtrace is the same.

By the way!=C2=A0 I have tried `emacs-pgtk-native-comp-git` of AUR, which i=
s
Emacs dev master branch (30.0.50.171462) with PGTK and I could NOT
reproduce the bug.=C2=A0 This is the only available package of Emacs dev br=
anch
with PGTK enabled, in Arch Linux.

--
Best Regards,
Abraham
Sent with Tutanota; https://tuta.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at 70073 <at> debbugs.gnu.org:


Received: (at 70073) by debbugs.gnu.org; 29 Mar 2024 18:06:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 29 14:06:02 2024
Received: from localhost ([127.0.0.1]:43393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqGc5-0007DW-Ts
	for submit <at> debbugs.gnu.org; Fri, 29 Mar 2024 14:06:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rqGc3-0007DF-Gn
 for 70073 <at> debbugs.gnu.org; Fri, 29 Mar 2024 14:06:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rqGbw-0002Db-P1; Fri, 29 Mar 2024 14:05:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=rNtzENJMOcLfT+SchVPWC64dVgO1gYClmTXVgJOe1UA=; b=OCP5dhxKmPHhBWWMl0Zu
 1JN2VpJsD1L+QFDqKGTDZegUfsk4BDLmHvHOsA5zG5N87AkKnTleO8MRl2qdVjd8ULD+WyoQMEb3H
 2qzOradQZ2Z8NMyrGIynBeai94Uk819iJTJCV1jLE0qW7nlyMKCIct90EdtTnwehwt7W9tIKPrZSl
 5eBNb82KET4JLdqhrV0DtaCZKq5GOMF5PlPaPjk5YVB6TlfCQtFeqZmatLcf/OCT9SdBeiTc+GDxv
 TGwZlC2K885Xs4XihmJrfdAAdMfJltg8tdkO4TTtlIo+nqlbojqfPwBh/I9+0dosMpX8UzSRJc5u5
 hi3vEXlyc5U77g==;
Date: Fri, 29 Mar 2024 21:05:50 +0300
Message-Id: <86jzlkeww1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Abraham S.A.H." <arash.sah@HIDDEN>
In-Reply-To: <Nu9gaZH--3-9@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#70073: 29.3;
 Emacs-PGTK crashes upon marking some text inside emacs and then
 middle clicking outside of Emacs
References: <Nu9gaZH--3-9@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70073
Cc: 70073 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 29 Mar 2024 15:52:12 +0100 (CET)
> From:  "Abraham S.A.H." via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> ## System Information:
> 
> * Kernel: 6.8.2-2
> * DE: Gnome 46.0
> * WM: Mutter (Wayland)
> * gnome-shell: 46.0
> * wayland: 1.22.0
> * mutter: 46.0
> * wl-clipboard: 2.2.1
> * weston: 13.0.0
> * sway: 1.9-e93da93
> * emacs package: emacs-wayland 29.3-1.1 (archlinux)
> 
> ## Steps to reproduce the issue under Gnome:
> 
> 1. Invoke `emacs -Q` in any terminal emulator to start Emacs along with
>    its GUI frame.
> 2. Mark/highlight some area of text with your mouse pointer. OR use
>    C-Space and keyboard movement shortcuts to do the same.
> 3. Open any other application. (gnome-text-editor, for example)
> 4. Use your middle mouse button in an editable text area of the second
>    application's frame.
> 5. Emacs crashes.
> 
> NOTE1: Emacs doesn't crash if you just middle click in any 
>        *non-textual/non-editable* area, outside Emacs.
> NOTE2: Middle clicking *inside* any of Emacs' own buffers DOES work
>        properly without any crash or noticeable problem.
> NOTE3: The problem is reproducible both when marking with mouse cursor
>        or when marking with keyboard shortcuts.
> NOTE4: Using another shortcut that pastes the Primary selection of the
>        wayland, instead of mouse's middle click, also reproduces the 
>        same issue. E.g. S-Insert of WezTerm.
> NOTE5: Marking a text outside of Emacs and middle clicking inside
>        Emacs works flawlessly.

Is this different from bug#70072 that you submitted a few minutes ago,
or is this the same problem?  It sounds almost the same problem, just
triggered in 2 different ways.

> 
> ## State of the issue under Sway:
> 
> The issue is completely reproducable under sway with the same steps as
> above, with the same symptoms and the same segmentation fault error.
> 
> ## State of the issue under Weston:
> 
> The issue is not reproducable under Weston but the functionality is
> also lost.  Weston doesn't support primary selection.
> 
> ## Tried Workarounds:
> 
> ### Workaround number 1:
> Disable the primary selection.  In gnome you can disable 
> primary selection.  Brings users to the same state of under 
> Weston.  Emacs will not crash, Primary selection works inside 
> Emacs, but not outside of Emacs.
> 
> Emacs still crashes if user uses the middle click inside applications
> that try to pull primary selection with middle click.
> 
> ### Workaround number 2:
> Set variable `select-active-regions` to `nil`.	Disables the
> functionality and of course removes the issue.
> 
> ## Terminal log of Emacs after crash:
> 
> ~~~~~~~ Start of the terminal log
> 
> Fatal error 11: Segmentation fault
> Backtrace:
> emacs(+0x16bc62)[0x5f8b0fcddc62]
> emacs(+0x20243)[0x5f8b0fb92243]
> emacs(+0x21d44)[0x5f8b0fb93d44]
> /usr/lib/libc.so.6(+0x41b30)[0x735b53041b30]

Thank you for your report, but these backtraces can only be
interpreted on your system.  So either convert them to human-readable
lists of file names, line numbers, and function names as described in
the node "Crashing" of the Emacs user manual, or run Emacs from GDB,
and when Emacs crashes, type "bt" at the GDB prompt and post the
backtrace produced by GDB.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Mar 2024 16:02:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 29 12:02:02 2024
Received: from localhost ([127.0.0.1]:43227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqEg2-00013R-3x
	for submit <at> debbugs.gnu.org; Fri, 29 Mar 2024 12:02:01 -0400
Received: from lists.gnu.org ([2001:470:142::17]:33916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash.sah@HIDDEN>) id 1rqDak-0005tC-P0
 for submit <at> debbugs.gnu.org; Fri, 29 Mar 2024 10:52:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash.sah@HIDDEN>) id 1rqDad-0006pO-UD
 for bug-gnu-emacs@HIDDEN; Fri, 29 Mar 2024 10:52:19 -0400
Received: from w1.tutanota.de ([81.3.6.162])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash.sah@HIDDEN>) id 1rqDaZ-0000y4-Fp
 for bug-gnu-emacs@HIDDEN; Fri, 29 Mar 2024 10:52:19 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w1.tutanota.de (Postfix) with ESMTP id CD95AFBFADC
 for <bug-gnu-emacs@HIDDEN>; Fri, 29 Mar 2024 14:52:12 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1711723932; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Date:Date:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:Sender;
 bh=VkH2e/fmSkOl7/MoTepOIkA5dT3memyvQIotDFXmRNg=;
 b=QwRDwqZ43zRI3U0mHoACy3jIcPQmug88cboeAPhyDSH7P1A4zhNVuDg932Ev1ycC
 zle9S5X7hLw+5I05W3Z6uJsy+GwfGCQXJlq2Z1idthmXg+ZGv2s6VBdIOqZ46JUvZ2M
 f/+CFd21cSyIuR/KxEny5fD2Aa0FSnreEOKcFYO+ArO4343hJJBFWdOE2D6fMsoY1d/
 tcZG8zh9mNDy9DQHWDfO2N7iNr2i8XZTiTVCJVE07/ld/N6QopwAPg+u0OYGeFyPkti
 fL/rgBWQl67VhsYdvMn9prNJ8k5G096iYQC/DNnQ0xifnZcoK9f3RAX9w8i9NUE7iDe
 agFSHnIJWg==
Date: Fri, 29 Mar 2024 15:52:12 +0100 (CET)
From: "Abraham S.A.H." <arash.sah@HIDDEN>
To: Bug Gnu Emacs <bug-gnu-emacs@HIDDEN>
Message-ID: <Nu9gaZH--3-9@HIDDEN>
Subject: 29.3; Emacs-PGTK crashes upon marking some text inside emacs and
 then middle clicking outside of Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=81.3.6.162; envelope-from=arash.sah@HIDDEN;
 helo=w1.tutanota.de
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 29 Mar 2024 12:01:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

## System Information:

* Kernel: 6.8.2-2
* DE: Gnome 46.0
* WM: Mutter (Wayland)
* gnome-shell: 46.0
* wayland: 1.22.0
* mutter: 46.0
* wl-clipboard: 2.2.1
* weston: 13.0.0
* sway: 1.9-e93da93
* emacs package: emacs-wayland 29.3-1.1 (archlinux)

## Steps to reproduce the issue under Gnome:

1. Invoke `emacs -Q` in any terminal emulator to start Emacs along with
=C2=A0=C2=A0 its GUI frame.
2. Mark/highlight some area of text with your mouse pointer. OR use
=C2=A0=C2=A0 C-Space and keyboard movement shortcuts to do the same.
3. Open any other application. (gnome-text-editor, for example)
4. Use your middle mouse button in an editable text area of the second
=C2=A0=C2=A0 application's frame.
5. Emacs crashes.

NOTE1: Emacs doesn't crash if you just middle click in any=20
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0*non-textual/non-editable* area, =
outside Emacs.
NOTE2: Middle clicking *inside* any of Emacs' own buffers DOES work
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 properly without any crash or noticeab=
le problem.
NOTE3: The problem is reproducible both when marking with mouse cursor
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 or when marking with keyboard shortcut=
s.
NOTE4: Using another shortcut that pastes the Primary selection of the
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 wayland, instead of mouse's middle cli=
ck, also reproduces the=C2=A0
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 same issue. E.g. S-Insert of WezTerm.
NOTE5: Marking a text outside of Emacs and middle clicking inside
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Emacs works flawlessly.

## State of the issue under Sway:

The issue is completely reproducable under sway with the same steps as
above, with the same symptoms and the same segmentation fault error.

## State of the issue under Weston:

The issue is not reproducable under Weston but the functionality is
also lost.=C2=A0 Weston doesn't support primary selection.

## Tried Workarounds:

### Workaround number 1:
Disable the primary selection.=C2=A0 In gnome you can disable=20
primary selection.=C2=A0 Brings users to the same state of under=20
Weston.=C2=A0 Emacs will not crash, Primary selection works inside=20
Emacs, but not outside of Emacs.

Emacs still crashes if user uses the middle click inside applications
that try to pull primary selection with middle click.

### Workaround number 2:
Set variable `select-active-regions` to `nil`.=09Disables the
functionality and of course removes the issue.

## Terminal log of Emacs after crash:

~~~~~~~ Start of the terminal log

Fatal error 11: Segmentation fault
Backtrace:
emacs(+0x16bc62)[0x5f8b0fcddc62]
emacs(+0x20243)[0x5f8b0fb92243]
emacs(+0x21d44)[0x5f8b0fb93d44]
/usr/lib/libc.so.6(+0x41b30)[0x735b53041b30]
emacs(+0x3027c9)[0x5f8b0fe747c9]
emacs(+0x14950d)[0x5f8b0fcbb50d]
emacs(+0x14a631)[0x5f8b0fcbc631]
emacs(+0x275406)[0x5f8b0fde7406]
emacs(+0x44808)[0x5f8b0fbb6808]
emacs(+0x152ea1)[0x5f8b0fcc4ea1]
emacs(+0x317837)[0x5f8b0fe89837]
emacs(+0x1465ec)[0x5f8b0fcb85ec]
emacs(+0x1fd94f)[0x5f8b0fd6f94f]
emacs(+0x143fae)[0x5f8b0fcb5fae]
emacs(+0x1fd8a5)[0x5f8b0fd6f8a5]
emacs(+0x145dc9)[0x5f8b0fcb7dc9]
emacs(+0x34bf40)[0x5f8b0febdf40]
emacs(+0x146300)[0x5f8b0fcb8300]
emacs(+0x380d3)[0x5f8b0fbaa0d3]
/usr/lib/libc.so.6(+0x26010)[0x735b53026010]
/usr/lib/libc.so.6(__libc_start_main+0x8a)[0x735b530260ca]
emacs(+0x38445)[0x5f8b0fbaa445]
fish: Job 1, 'emacs --debug-init' terminated by signal SIGSEGV (Address
boundary error)

~~~~~~~ End of the log

In GNU Emacs 29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
cairo version 1.18.0)
Repository revision: 4b1bcc2ad665ccd3fe1d4b8a206f9bf3a8bc2c98
Repository branch: HEAD
System Description: Arch Linux

Configured using:
'configure --with-pgtk --with-native-compilation=3Daot --sysconfdir=3D/etc
--prefix=3D/usr --libexecdir=3D/usr/lib --with-tree-sitter
--localstatedir=3D/var --with-cairo --disable-build-details
--with-harfbuzz --with-libsystemd --with-modules
'CFLAGS=3D-march=3Dx86-64-v3 -mtune=3Dhaswell -O3 -pipe -fno-plt -fexceptio=
ns
-mpclmul -Wp,-D_FORTIFY_SOURCE=3D3 -Wformat -Werror=3Dformat-security
-fstack-clash-protection -fcf-protection -g1
-ffile-prefix-map=3D/startdir/src=3D/usr/src/debug/emacs -flto=3Dauto
-falign-functions=3D32' 'LDFLAGS=3D-Wl,-O1 -Wl,--sort-common
-Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,pack-relative-relocs
-flto=3Dauto -falign-functions=3D32' 'CXXFLAGS=3D-march=3Dx86-64-v3
-mtune=3Dhaswell -O3 -pipe -fno-plt -fexceptions -mpclmul
-Wp,-D_FORTIFY_SOURCE=3D3 -Wformat -Werror=3Dformat-security
-fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -g1
-ffile-prefix-map=3D/startdir/src=3D/usr/src/debug/emacs -flto=3Dauto
-falign-functions=3D32''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY
PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM GTK3 ZLIB

Important settings:
=C2=A0 value of $LC_COLLATE: en_GB.UTF-8
=C2=A0 value of $LC_CTYPE: en_GB.UTF-8
=C2=A0 value of $LC_MESSAGES: en_GB.UTF-8
=C2=A0 value of $LC_MONETARY: fa_IR.UTF-8
=C2=A0 value of $LC_NUMERIC: en_GB.UTF-8
=C2=A0 value of $LC_TIME: en_DK.UTF-8
=C2=A0 value of $LANG: en_GB.UTF-8
=C2=A0 locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
=C2=A0 tooltip-mode: t
=C2=A0 global-eldoc-mode: t
=C2=A0 eldoc-mode: t
=C2=A0 show-paren-mode: t
=C2=A0 electric-indent-mode: t
=C2=A0 mouse-wheel-mode: t
=C2=A0 tool-bar-mode: t
=C2=A0 menu-bar-mode: t
=C2=A0 file-name-shadow-mode: t
=C2=A0 global-font-lock-mode: t
=C2=A0 font-lock-mode: t
=C2=A0 blink-cursor-mode: t
=C2=A0 line-number-mode: t
=C2=A0 indent-tabs-mode: t
=C2=A0 transient-mark-mode: t
=C2=A0 auto-composition-mode: t
=C2=A0 auto-encryption-mode: t
=C2=A0 auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
comp comp-cstr warnings icons subr-x rx cl-seq cl-macs gv cl-extra
help-mode bytecomp byte-compile cl-lib sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils rmc iso-transl tooltip cconv
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/pgtk-win pgtk-win term/common-win pgtk-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs theme-loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
gtk pgtk lcms2 multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 77836 11913)
(symbols 48 7110 0)
(strings 32 19779 1208)
(string-bytes 1 599931)
(vectors 16 15779)
(vector-slots 8 329592 20534)
(floats 8 28 46)
(intervals 56 291 0)
(buffers 984 12))





Acknowledgement sent to "Abraham S.A.H." <arash.sah@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#70073; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 15 Apr 2024 11:30:14 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.